Data Fields
canBusStatistics_s Struct Reference

`#include <canlib.h>`

## Data Fields
unsigned long | stdData
| Number of received standard (11-bit identifiers) data frames. More...
unsigned long | stdRemote
| Number of received standard (11-bit identifiers) remote frames. More...
unsigned long | extData
| Number of received extended (29-bit identifiers) data frames. More...
unsigned long | extRemote
| Number of received extended (29-bit identifiers) remote frames. More...
unsigned long | errFrame
| Number of error frames. More...
unsigned long | busLoad
unsigned long | overruns
| The number of overruns detected by the hardware, firmware or driver. More...

## Detailed Description

This struct is returned by canGetBusStatistics()

The values are cleared when the corresponding channel goes on bus.

## Field Documentation

## ◆ busLoad

unsigned long busLoad

The bus load, expressed as an integer in the interval 0 - 10000 representing 0.00% - 100.00% bus load.

## ◆ errFrame

unsigned long errFrame

Number of error frames.

## ◆ extData

unsigned long extData

Number of received extended (29-bit identifiers) data frames.

## ◆ extRemote

unsigned long extRemote

Number of received extended (29-bit identifiers) remote frames.

## ◆ overruns

unsigned long overruns

The number of overruns detected by the hardware, firmware or driver.

## ◆ stdData

unsigned long stdData

Number of received standard (11-bit identifiers) data frames.

## ◆ stdRemote

unsigned long stdRemote

Number of received standard (11-bit identifiers) remote frames.

The documentation for this struct was generated from the following file:

- canlib.h